# ResponsiveProfileChangedEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [ResponsiveProfileChanged](https://docs.wisej.com/api/wisej.web/general/application/..#responsiveprofilechanged) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ResponsiveProfileChangedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ResponsiveProfileChangedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) ResponsiveProfileChangedEventArgs(oldValue, newValue)

Initializes a new instance of the [ResponsiveProfileChangedEventArgs](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.responsiveprofilechangedeventargs) class.

| Name         | Type                                                                                               | Description                                                                                                    |
| ------------ | -------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------- |
| **oldValue** | [ClientProfile](https://docs.wisej.com/api/wisej.web/general/application/wisej.core.clientprofile) | Previous [ClientProfile](https://docs.wisej.com/api/wisej.web/general/application/wisej.core.clientprofile).   |
| **newValue** | [ClientProfile](https://docs.wisej.com/api/wisej.web/general/application/wisej.core.clientprofile) | New active [ClientProfile](https://docs.wisej.com/api/wisej.web/general/application/wisej.core.clientprofile). |

## Properties

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) CurrentProfile

[ClientProfile](https://docs.wisej.com/api/wisej.web/general/application/wisej.core.clientprofile): The new active profile.

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) PreviousProfile

[ClientProfile](https://docs.wisej.com/api/wisej.web/general/application/wisej.core.clientprofile): The previously active profile.

## Used By

| Name                                                                                                                                        | Description                                                                            |
| ------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------- |
| [ResponsiveProfileChangedEventHandler](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.responsiveprofilechangedeventhandler) | Represents the method that will handle the Application.ResponsiveProfileChanged event. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/application/wisej.web.responsiveprofilechangedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
